1apply plugin: android.support.SupportLibraryPlugin
2archivesBaseName = 'support-compat'
3
4dependencies {
5    compile project(':support-annotations')
6
7    androidTestCompile (libs.test_runner) {
8        exclude module: 'support-annotations'
9    }
10    androidTestCompile (libs.espresso_core) {
11        exclude module: 'support-annotations'
12    }
13    androidTestCompile libs.mockito_core
14    androidTestCompile libs.dexmaker
15    androidTestCompile libs.dexmaker_mockito
16    androidTestCompile project(':support-testutils')
17}
18
19android {
20    defaultConfig {
21        minSdkVersion 14
22    }
23
24    sourceSets {
25        main.java.srcDirs = [
26                'ics',
27                'jellybean',
28                'kitkat',
29                'api20',
30                'api21',
31                'api23',
32                'api24',
33                'api26',
34                'java'
35        ]
36        main.aidl.srcDirs = ['java']
37        main.res.srcDirs 'res', 'res-public'
38    }
39
40    aaptOptions {
41        noCompress 'ttf'
42    }
43}
44
45supportLibrary {
46    name 'Android Support Library compat'
47    inceptionYear '2015'
48    description "The Support Library is a static library that you can add to your Android application in order to use APIs that are either not available for older platform versions or utility APIs that aren\'t a part of the framework APIs. Compatible on devices running API 14 or later."
49}
50